Bug 22603 - aria-expanded reported as an error on a link
Summary: aria-expanded reported as an error on a link
Status: RESOLVED FIXED
Alias: None
Product: HTML Checker
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: PC Windows NT
: P2 normal
Target Milestone: ---
Assignee: Michael[tm] Smith
QA Contact: qa-dev tracking
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-09 09:04 UTC by steve faulkner
Modified: 2013-07-15 21:02 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description steve faulkner 2013-07-09 09:04:06 UTC
this code: 
<a href="#" aria-expanded="true">test</a>

results in the following error:

Error: Element a is missing one or more of the following attributes: role.

it should not. a role attribute is not required to use aria-expanded on a link
Comment 1 Michael[tm] Smith 2013-07-12 01:38:49 UTC
Fixed. Along with a bug of other fixes to bring ARIA implicit semantics into sync with the current spec -

https://bitbucket.org/validator/syntax/commits/e40b90a5b674abcc177587f9ad441915c9ff773e
Comment 2 Sailesh Panchang 2013-07-15 21:02:34 UTC
First reported by Sailesh on 07/08/2013
http://lists.w3.org/Archives/Public/w3c-wai-ig/2013JulSep/0003.html#start3